=== debian/changelog ===
mlt (6.6.0-1build1) bionic; urgency=medium

  * No-change rebuild for libmovit soname change. 

 -- Matthias Klose <doko@debian.org>  Tue, 30 Jan 2018 16:53:12 +0100

mlt (6.6.0-1) unstable; urgency=medium

  * New upstream release.
    - Remove merged patch 01-crash-affine.
    - Remove merged patch 02-crash-clipinfo-update.
    - Remove merged patch 03-use-external-libebur.
    - Remove merged patch 04-allow-repository_deletion_without_side_effect.
    - Remove merged patch 05-fix_build_with_glibc_2.26.
    - Add new build dependency libsdl2-dev to enable the new SDL2 module.
  * Bump Standards-Version to 4.1.3 (no changes required).
  * Bump debian/compat to level 11.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 24 Jan 2018 10:25:16 +0100

mlt (6.4.1-6) unstable; urgency=medium

  * Remove Fathi Boudra from uploaders. Thanks for your previous work!
    Closes: #879412
  * Bump Standards-Version to 4.1.1 (no changes required).
  * Use secure homepage URI.
  * Add patch 04-allow-repository_deletion_without_side_effect to fix a crash
    on exiting kdenlive.
    Closes: #869226
  * Adopt patch 05-fix_build_with_glibc_2.26 to fix a FTBFS with newer glibc
    versions.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 08 Nov 2017 10:50:04 +0100

mlt (6.4.1-5) unstable; urgency=medium

  * Bump Standards-Version to 4.0.0 (no changes required).
  * Drop dbg package.
  * Restrict build dependency on librtaudio-dev to linux-any.
    Closes: #866625

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 03 Jul 2017 09:46:32 +0200
