## mlt 6.8.0

=== debian/changelog ===
mlt (6.8.0-1) unstable; urgency=medium

  * New upstream release.
    - Remove merged patch 01-qimage-segfault.
    - Remove merged patch 02-qimage-crash.
    - Remove merged patch 03-crash-kdenlivetile.
    - Remove merged patch 04-rotoscoping-crash.
    - Remove merged patch 05-pgm-luma-crash.
  * Add upstream patch 04-rotoscoping-crash.
  * Add upstream patch 05-pgm-luma-crash.
  * Bump Standards-Version to 4.1.4.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 16 May 2018 13:50:09 +0200

mlt (6.6.0-2) unstable; urgency=medium

  * Add upstream patch 01-qimage-segfault.
  * Add upstream patch 02-qimage-crash.
  * Add upstream patch 03-crash-kdenlivetile.´
  * Move source lintian overrides to source directory.
  * Renamed deprecated lintian tag.
  * Install a few example files and add them to the libmlt-dev package.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 21 Mar 2018 16:47:34 +0100
