=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
  libebur128-dev (>= 1.2.0-2),
  dh-python,
  python-all-dev (>= 2.6.6-3~)
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Section: libs
 Homepage: https://www.mltframework.org
