## mlt 6.8.0+git20180605

=== debian/changelog ===
mlt (6.8.0+git20180605-1) unstable; urgency=medium

  * New upstream git snapshot to fix various little bugs.
  * Remove trailing whitespace from debian/changelog.
  * Move package to my own repository.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 05 Jun 2018 14:37:42 +0200
