## mlt 6.12.0

=== src/melt/Makefile ===
--- 
+++ 
@@ -24,6 +24,7 @@
 endif
 
 ifeq ($(targetos), MinGW)
+LDFLAGS += -mconsole
 bindir = $(prefix)
 endif
