=== debian/changelog ===
mlt (6.12.0-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 06 Dec 2018 18:47:24 -0800

mlt (6.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.2.1.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 27 Nov 2018 10:18:26 +0100
