=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: mlt
 Priority: optional
-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
 Build-Depends: debhelper (>= 11),
  ffmpeg,
  libqt5opengl5-dev,
@@ -30,7 +31,7 @@
  libebur128-dev (>= 1.2.0-2),
  dh-python,
  python-all-dev (>= 2.6.6-3~)
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Section: libs
 Homepage: https://www.mltframework.org
