=== debian/rules ===
--- 
+++ 
@@ -43,3 +43,6 @@
 
 override_dh_python2:
 	dh_python2 --no-guessing-versions
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
