=== src/modules/plus/Makefile ===
--- 
+++ 
@@ -20,6 +20,9 @@
 	   filter_lumakey.o \
 	   filter_rgblut.o \
 	   filter_sepia.o \
+	   filter_spot_remover.o \
+	   filter_text.o \
+	   filter_timer.o \
 	   producer_blipflash.o \
 	   producer_count.o \
 	   transition_affine.o
