=== debian/changelog ===
mlt (6.12.0.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 28 Jan 2021 20:01:55 +0800
