=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: mlt
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
+Maintainer: Patrick Matthäi <pmatthaei@debian.org>
 Build-Depends: debhelper (>= 11),
  ffmpeg,
  libqt5opengl5-dev,
