## mlt 6.16.0

=== debian/changelog ===
mlt (6.16.0-7) unstable; urgency=medium

  * Add Rules-Requires-Root no to debian/control.
  * Bump Standards-Version to 4.4.1.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 09 Oct 2019 17:01:59 +0200

mlt (6.16.0-6) unstable; urgency=high

  * Use correct path for installing the Python 3 module.
    Closes: #940591
  * Remove obsolet cleanup rules from debian/rules.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 18 Sep 2019 10:28:14 +0200

mlt (6.16.0-5) unstable; urgency=high

  * Remove deprecated conflicts and replaces from debian/control.
  * Rename python-mlt package to python3-mlt.
    Closes: #940166

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 17 Sep 2019 13:18:54 +0200

mlt (6.16.0-4) unstable; urgency=medium

  * Migrate package to python3.
    Closes: #937056
  * Bump debian/compat to level 12.
  * Use compressed 8 bit lumas.
    Closes: #934590

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 02 Sep 2019 12:53:09 +0200

mlt (6.16.0-3) unstable; urgency=medium

  * Make a new source only upload.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 23 Jul 2019 11:39:59 +0200

mlt (6.16.0-2) unstable; urgency=medium

  * Bump Standards-Version to 4.4.0.
  * Uploading to unstable.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 08 Jul 2019 15:20:47 +0200

mlt (6.16.0-1) experimental; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 09 May 2019 11:05:03 +0200

mlt (6.14.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.3.0.
  * Build package with libvidstab-dev.
    Closes: #887019

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 26 Apr 2019 11:21:49 +0200
