=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: mlt
 Priority: optional
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 12),
  ffmpeg,
  libqt5opengl5-dev,
  libqt5svg5-dev,
@@ -21,6 +21,7 @@
  libsox-dev (>= 14.3.0),
  libswscale-dev,
  libvorbis-dev,
+ libvidstab-dev,
  libxine2-dev,
  libxml2-dev,
  librtaudio-dev [linux-any],
@@ -28,10 +29,11 @@
  frei0r-plugins-dev,
  swig,
  libebur128-dev (>= 1.2.0-2),
- dh-python,
- python-all-dev (>= 2.6.6-3~)
-Standards-Version: 4.2.1
+ python3-dev,
+ dh-python
+Standards-Version: 4.4.1
 Section: libs
+Rules-Requires-Root: no
 Homepage: https://www.mltframework.org
 
 Package: libmlt-dev
@@ -55,20 +57,6 @@
 Depends: ${shlibs:Depends},
  ${misc:Depends}
 Recommends: libmlt-data (>= ${source:Version})
-Conflicts: libmlt0.2,
- libmlt0.2.5,
- libmlt1,
- libmlt2,
- libmlt3,
- libmlt4,
- libmlt5
-Replaces: libmlt0.2,
- libmlt0.2.5,
- libmlt1,
- libmlt2,
- libmlt3,
- libmlt4,
- libmlt5
 Description: multimedia framework (runtime)
  MLT is an open source multimedia framework, designed and developed for
  television broadcasting. It provides a toolkit for broadcasters, video
@@ -114,10 +102,6 @@
 Architecture: any
 Depends: ${shlibs:Depends},
  ${misc:Depends}
-Conflicts: libmlt++0.2,
- libmlt++2
-Replaces: libmlt++0.2,
- libmlt++2
 Description: MLT multimedia framework C++ wrapper (runtime)
  MLT is an open source multimedia framework, designed and developed for
  television broadcasting. It provides a toolkit for broadcasters, video
@@ -140,19 +124,15 @@
  multitrack command line oriented video editor. It could also used as an
  minimalistic media player for audio and video files.
 
-Package: python-mlt
+Package: python3-mlt
 Architecture: any
 Section: python
 Depends: ${shlibs:Depends},
  ${misc:Depends},
- ${python:Depends}
-Provides: ${python:Provides}
-Conflicts: python-mlt2,
- python-mlt3,
- python-mlt5
-Replaces: python-mlt2,
- python-mlt3,
- python-mlt5
+ ${python3:Depends}
+Provides: ${python3:Provides}
+Conflicts: python-mlt
+Replaces: python-mlt
 Description: multimedia framework (Python bindings)
  MLT is an open source multimedia framework, designed and developed for
  television broadcasting. It provides a toolkit for broadcasters, video
